\documentclass{standalone}

\usepackage{tikz}
\input{couleur.sty}

\begin{document}
\begin{tikzpicture}[line cap=round,line join=round,x=1cm,y=1cm]
\draw [color=Gris3,, xstep=1cm,ystep=1cm] (-6,0) grid (3,4);
\clip(-6,0) rectangle (3,4);
\draw [line width=1.5pt,color=A1] (-3,3)-- (-1,3);
\draw [line width=1.5pt,color=A1] (-1,3)-- (-1,1);
\draw [line width=1.5pt,color=A1] (-1,1)-- (-4,1);
\draw [line width=1.5pt,color=A1] (-4,1)-- (-2,2);
\draw [line width=1.5pt,color=A1] (-2,2)-- (-3,3);
\draw [line width=1.5pt,color=B2] (0,2.5)-- (1.5,2.5);
\draw [line width=1.5pt,color=B2] (1.5,2.5)-- (1.5,1.5);
\draw [line width=1.5pt,color=B2] (1.5,1.5)-- (0.5,1.5);
\draw [line width=1.5pt,color=B2] (0.5,1.5)-- (1,2);
\draw [line width=1.5pt,color=B2] (1,2)-- (0,2.5);
\end{tikzpicture}
\end{document}